Mobile font size is 0.8em for devices with screen width 320px and smaller
Closed, ResolvedPublic

Description

In last month or 2-3 weeks mobile version of russian wikipedia has become smaller (icons, labels , everything) and uncomfortable to read.
iOS 8.1 iPhone 5

Developer notes

The value of wgMFDeviceWidthMobileSmall (which is meant for feature phones) was increased from 280px to 320px resulting in this change.

Replication steps

  • Decrease your browser screen resolution to 320px
  • Verify the font size is the same as when its 720px.
Yanpas created this task.Sep 19 2017, 11:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2017, 11:02 PM

Excuse me @Yanpas I'm wondering which browser you're using? Safari? Yandex? Opera?...

bmansurov renamed this task from Mobile site font has smaller to Mobile site font has become smaller.Sep 20 2017, 2:06 PM
bmansurov moved this task from To Triage to Needs Analysis on the Readers-Web-Backlog board.
ovasileva triaged this task as Normal priority.Sep 20 2017, 3:11 PM
ovasileva added a subscriber: Nirzar.

I'm using Safari mobile.

I would also like to admit^

  • I see the same regression on english wikipedia
  • not only fonts have become smaller, but the entire site

@Yanpas looks like you have enabled beta mode. would you mind going to settings and checking the font size settings?

we have a beta feature running that lets users change the font size.

Yes, I've enabled beta recently to see the fix sooner. I've set font size 130% and it looks almost the same as it was before.

this is what im seeing on 100% and 110% on beta mode / safari / ios / ru.m

100%

110%

Jdlrobson closed this task as Invalid.Sep 27 2017, 9:33 PM
Jdlrobson added a subscriber: Jdlrobson.

There were some intentional icon changes in August but no changes to the font-size. As with any design change that might be taking time to get used to, but we won't be reverted back.

Feel free to reopen this if you can find some further information e.g. a patch in the commit history that could be responsible but everything looks as expected to me so there's nothing we can do without some clearer definition of the problem.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptSep 27 2017, 9:33 PM
Jdlrobson renamed this task from Mobile site font has become smaller to Mobile font size is 0.8em for devices with screen width 320px and smaller.Sep 28 2017, 2:21 PM
Jdlrobson edited projects, added MinervaNeue; removed Russian-Sites, MobileFrontend.
Jdlrobson updated the task description. (Show Details)
Jdlrobson reopened this task as Open.

Okay I got to the bottom of this.

Change 381222 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Restore feature phone threshold to 280px

https://gerrit.wikimedia.org/r/381222

Jdlrobson updated the task description. (Show Details)Sep 28 2017, 2:34 PM
Jdlrobson moved this task from Backlog to New adventures on the MinervaNeue board.Sep 28 2017, 3:36 PM
Jdlrobson closed this task as Resolved.
Jdlrobson added a project: User-Jdlrobson.
Jdlrobson claimed this task.

Will roll out on next weeks train

Jdlrobson moved this task from Inbox to Done on the User-Jdlrobson board.Sep 28 2017, 3:37 PM

Change 382238 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@wmf/1.31.0-wmf.2] Correct feature phone threshold detection

https://gerrit.wikimedia.org/r/382238

Change 382238 abandoned by Jdlrobson:
Correct feature phone threshold detection

https://gerrit.wikimedia.org/r/382238

Change 382238 restored by Jdlrobson:
Correct feature phone threshold detection

https://gerrit.wikimedia.org/r/382238

Change 382238 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@wmf/1.31.0-wmf.2] Correct feature phone threshold detection

https://gerrit.wikimedia.org/r/382238

Change 381222 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Correct feature phone threshold detection

https://gerrit.wikimedia.org/r/381222

Change 382238 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@wmf/1.31.0-wmf.2] Correct feature phone threshold detection

https://gerrit.wikimedia.org/r/382238

Mentioned in SAL (#wikimedia-operations) [2017-10-04T23:18:17Z] <catrope@tin> Synchronized php-1.31.0-wmf.2/skins/MinervaNeue/: Correct feature phone threshold detection (T176286) (duration: 00m 53s)